<?php
/**
 * @package Flatnux_module_welcome
 * @author Alessandro Vernassa <speleoalex@gmail.com>
 * @copyright Copyright (c) 2003-2005
 * @license http://opensource.org/licenses/gpl-license.php GNU General Public License
 * 
 */
defined('_FNEXEC') or die('Restricted access');
global $_FN;
if (!file_exists("sections/{$_FN['mod']}/section.{$_FN['lang']}.html"))
{
	if (file_exists("modules/welcome/section.{$_FN['lang']}.html"))
	{
		$str=file_get_contents("modules/welcome/section.{$_FN['lang']}.html");
	}
	elseif (file_exists("modules/welcome/section.{$_FN['lang_default']}.html"))
	{
		$str=file_get_contents("modules/welcome/section.{$_FN['lang_default']}.html");
	}
	else
		$str=file_get_contents("modules/welcome/section.en.html");
		
	$str=FN_RewriteLinksLocalToAbsolute($str,"modules/welcome");
	$str=FN_FixEncoding($str);
	echo $str;
}
else
	echo FN_HtmlContent("sections/{$_FN['mod']}");
?>